## CamelOfflineFolder

CamelOfflineFolder

## Functions

gboolean | camel_offline_folder_get_offline_sync ()
void | camel_offline_folder_set_offline_sync ()
gboolean | camel_offline_folder_downsync_sync ()
void | camel_offline_folder_downsync ()
gboolean | camel_offline_folder_downsync_finish ()

## Properties

gboolean | offline-sync | Read / Write

## Types and Values

struct | CamelOfflineFolder

## Object Hierarchy

        GObject
        ╰── CamelObject
            ╰── CamelFolder
                ╰── CamelOfflineFolder
                    ├── CamelIMAPXFolder
                    ╰── CamelNNTPFolder

## Description

## Functions

### camel_offline_folder_get_offline_sync ()

    gboolean
    camel_offline_folder_get_offline_sync (CamelOfflineFolder *folder);

#### Parameters

folder | a CamelOfflineFolder |

Since 2.32

### camel_offline_folder_set_offline_sync ()

    void
    camel_offline_folder_set_offline_sync (CamelOfflineFolder *folder,
                                           gboolean offline_sync);

#### Parameters

folder | a CamelOfflineFolder |
offline_sync | whether to synchronize for offline use |

Since 2.32

### camel_offline_folder_downsync_sync ()

    gboolean
    camel_offline_folder_downsync_sync (CamelOfflineFolder *folder,
                                        const gchar *expression,
                                        GCancellable *cancellable,
                                        GError **error);

Synchronizes messages in `folder` described by the search `expression` to the local machine for offline availability.

#### Parameters

folder | a CamelOfflineFolder |
expression | search expression describing which set of messages to downsync (`NULL` for all) |
cancellable | optional GCancellable object, or `NULL` |
error | return location for a GError, or `NULL` |

#### Returns

`TRUE` on success, `FALSE` on error

Since 3.0

### camel_offline_folder_downsync ()

    void
    camel_offline_folder_downsync (CamelOfflineFolder *folder,
                                   const gchar *expression,
                                   gint io_priority,
                                   GCancellable *cancellable,
                                   GAsyncReadyCallback callback,
                                   gpointer user_data);

Synchronizes messages in `folder` described by the search `expression` to the local machine asynchronously for offline availability.

When the operation is finished, `callback` will be called. You can then call `camel_offline_folder_downsync_finish()` to get the result of the operation.

#### Parameters

folder | a CamelOfflineFolder |
expression | search expression describing which set of messages to downsync (`NULL` for all) |
io_priority | the I/O priority of the request |
cancellable | optional GCancellable object, or `NULl` |
callback | a GAsyncReadyCallback to call when the request is satisfied |
user_data | data to pass to the callback function |

Since 3.0

### camel_offline_folder_downsync_finish ()

    gboolean
    camel_offline_folder_downsync_finish (CamelOfflineFolder *folder,
                                          GAsyncResult *result,
                                          GError **error);

Finishes the operation started with `camel_offline_folder_downsync()`.

#### Parameters

folder | a CamelOfflineFolder |
result | a GAsyncResult |
error | return location for a GError, or `NULL` |

#### Returns

`TRUE` on success, `FALSE` on error

Since 3.0

## Types and Values

### struct CamelOfflineFolder

    struct CamelOfflineFolder;

## Property Details

### The `“offline-sync”` property

      “offline-sync”             gboolean

Copy folder content locally for _offline operation.

Flags: Read / Write

Default value: FALSE